Uutiset:

Kirjoittaja Aihe: talologger php asetukset  (Luettu 237 kertaa)

Poissa petripm

  • Nuorempi jäsen
  • **
  • Viestejä: 16
  • Maalämpöfoorumi
talologger php asetukset
« : 10.10.19 - klo:19:05 »
kuinkahan nuo php asetukset nyt oikein pitää olla?


/var/www/html
tuleeko tänne kansioon index.php tiedostoon laittaa


-----------------
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>

<HEAD>
<TITLE>TaloLoggerGraph</TITLE>
</HEAD>

<BODY BGCOLOR=white>
<DIV ALIGN=center>

<?PHP
  include("taloLoggerGraph.inc");

  taloLoggerGraph("taloLoggerGraph.conf");
?>

</DIV>
</BODY>
</HTML>

-----------------
kansioon olen myös kopionut nämä tiedostot
taloLoggerGraph.conf ja taloLoggerGraph_getchart.php pikakuvake


sekä /etc/php/7.3/apache2 kansioon
paths kohtaan


-----------------
<Location /talo/>

      php_value doc_root /home/talo/

      php_value open_basedir /home/talo/

      php_value include_path .:/home/talo/taloLoggerGraph:/usr/share/jpgraph/

      php_flag safe_mode yes

   </Location>
-----------------

mulla on tuo jpgraph eri kansiossa mitä tässä ohjeessa on kerrottu
https://olammi.iki.fi/sw/taloLoggerGraph/howto.php


jostain syystä myös herjaa mysqldb:stä
10.10.2019 18:53:46: ERROR: Invalid datastore type in DATASTORE definition: MYSQLDB:MYSQLDB
vaikka oon asentanut phpmyadmin, mysql, apache2

oiskokan kellään apuja tähän?

Poissa jolla

  • Täysjäsen
  • ***
  • Viestejä: 101
  • Maalämpöfoorumi
    • mittauksia
Vs: talologger php asetukset
« Vastaus #1 : 11.10.19 - klo:18:52 »
asennusohjelmalla menee helpoiten ja asetukset on kohillaan, asentaa kaikki tarvittavat

wget -O install_taloLoggerPi.py http://olammi.iki.fi/sw/taloLoggerPi/install_taloLoggerPi.py
chmod 755 install_taloLoggerPi.py
./install_taloLoggerPi.py

se o siinä

Poissa petripm

  • Nuorempi jäsen
  • **
  • Viestejä: 16
  • Maalämpöfoorumi
Vs: talologger php asetukset
« Vastaus #2 : 12.10.19 - klo:19:37 »
no ei nyt ihan, herjaa tuommoista python-imaging pakettia?


root@raspberrypi:/home/talo# ./install_taloLoggerPi.py
*********  taloLoggerPi - install_taloLoggerPi.py - v1.1f  ********************

Determining installed versions...
Retrieving versions from the network...
This process will install:
    taloLoggerPi:    v1.1f
    taloLogger:      v1.7j
    taloLoggerGraph: v1.2d

Proceed to install (Y/n)y
Installing taloLoggerPi...
Installing necessary apt-get -packages...
Updating apt-get database...
Löytyi:1 http://archive.raspberrypi.org/debian buster InRelease
Löytyi:2 http://raspbian.raspberrypi.org/raspbian buster InRelease
Luetaan pakettiluetteloita... Valmis
  Package daemontools already installed. Skipping...
  Package python-serial already installed. Skipping...
  Installing package python-imaging...
Luetaan pakettiluetteloita...
Muodostetaan riippuvuussuhteiden puu...
Luetaan tilatiedot...
Pakettia python-imaging ei ole saatavilla, mutta toinen paketti viittaa siihen.
Tämä voi tarkoittaa paketin puuttuvan, olevan vanhentunut tai
saatavilla vain jostain muusta lähteestä
Seuraavat paketit kuitenkin korvaavat sen:
  python-pil

E: Package 'python-imaging' has no installation candidate
  Package python-mysqldb already installed. Skipping...
  Package python-sqlite already installed. Skipping...
  Package python-psycopg2 already installed. Skipping...
  Package apache2 already installed. Skipping...
  Package php already installed. Skipping...
  Package php-mysql already installed. Skipping...
  Package php-sqlite3 already installed. Skipping...
  Package php-pgsql already installed. Skipping...
  Package php-gd already installed. Skipping...
  Package sqlite3 already installed. Skipping...
  Package owfs already installed. Skipping...
  Package digitemp already installed. Skipping...
  Package rrdtool already installed. Skipping...
  Package i2c-tools already installed. Skipping...
  Package python-oauth already installed. Skipping...
  Package daemontools-run already installed. Skipping...
  Package insserv already installed. Skipping...
  ERROR: Missing required package: python-imaging
Terminating install process due to missing packages.

Poissa jolla

  • Täysjäsen
  • ***
  • Viestejä: 101
  • Maalämpöfoorumi
    • mittauksia
Vs: talologger php asetukset
« Vastaus #3 : 12.10.19 - klo:21:15 »
nano install_taloLoggerPi.py

muuta
DISTRO_STRETCH = 'STRETCH'
DISTRO_BUSTER = 'STRETCH'

poista sieltä
'python-imaging' kohdat, parissa kohtaa taitaa olla hyvin alkupuolella

./install_taloLoggerPi.py

noilla menee läpi ja toimii

saatat joutua tekemään myös

cp /usr/bin/setuidgid /home/talo/bin/
chown talo:talo /home/talo/bin/setuidgid
chmod -R 777 /home/talo/bin/setuidgid
nano /home/talo/service/taloLogger/run
muuta rivi seuraavanlaiseksi
exec /home/talo/bin/setuidgid talo /usr/bin/python /home/talo/bin/taloLogger/taloLogger.py --nodaemon -f /home/talo/etc/taloLogger.conf

Poissa petripm

  • Nuorempi jäsen
  • **
  • Viestejä: 16
  • Maalämpöfoorumi
Vs: talologger php asetukset
« Vastaus #4 : 14.10.19 - klo:20:34 »
nyt sain pelaamaan